require 'json'

module TauYandexSpeller

  class SpellCollection

    include Enumerable

    attr_reader :spells

    def each &block
      @spells.each &block
    end


    private

# asdad
    def initialize json_data
      @spells = parse!(json_data)
    end

    def parse! data
      JSON.parse(data).map! do |record|
        Spell.new record
      end
    end

  end

  class Spell

    attr_reader :word, :correct_words

    private

    def initialize record
      # log "record #{record}"
      @word = record["word"]
      @correct_words = record["s"]
    end

  end

end
